IcedTea-Web NetX

## net.sourceforge.jnlp
Class RequiredElementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.sourceforge.jnlp.ParseException
                  net.sourceforge.jnlp.RequiredElementException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MissingInformationException, MissingTitleException, MissingVendorException

    public class RequiredElementException

extends ParseException

Thrown when a field that is required from the information tag is not found under the current JVM's locale or as a generalized element.

See Also:
  Serialized Form

Constructor Summary
`RequiredElementException(java.lang.String message)`
`RequiredElementException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class net.sourceforge.jnlp.ParseException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequiredElementException

    public RequiredElementException(java.lang.String message)

### RequiredElementException

    public RequiredElementException(java.lang.String message,
                                    java.lang.Throwable cause)

IcedTea-Web NetX

Submit a bug or feature